TokenMgrError (Grails 5.2.5)

Package: org.grails.web.json.parser

## [Java] Class TokenMgrError

- org.grails.web.json.parser.TokenMgrError

-     public class TokenMgrError
      extends java.lang.Error

  Token Manager Error.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenMgrError ()` No arg constructor.
    `TokenMgrError (java.lang.String message, int reason)` Constructor with message and reason.
    `TokenMgrError (boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)` Full Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static java.lang.String` | `LexicalError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar)` Returns a detailed message for the Error when it is thrown by the token manager to indicate a lexical error.
    `` | `protected static final java.lang.String` | `addEscapes(java.lang.String str)` Replaces unprintable characters by their escaped (or unicode escaped) equivalents in the given string
    `` | `public java.lang.String` | `getMessage()` You can also modify the body of this method to customize your error messages.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Error` | `java.lang.Error#printStackTrace(java.io.PrintStream), java.lang.Error#printStackTrace(), java.lang.Error#printStackTrace(java.io.PrintWriter), java.lang.Error#fillInStackTrace(), java.lang.Error#getCause(), java.lang.Error#initCause(java.lang.Throwable), java.lang.Error#toString(), java.lang.Error#getMessage(), java.lang.Error#getLocalizedMessage(), java.lang.Error#getStackTrace(), java.lang.Error#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Error#addSuppressed(java.lang.Throwable), java.lang.Error#getSuppressed(), java.lang.Error#wait(long, int), java.lang.Error#wait(long), java.lang.Error#wait(), java.lang.Error#equals(java.lang.Object), java.lang.Error#hashCode(), java.lang.Error#getClass(), java.lang.Error#notify(), java.lang.Error#notifyAll()`

- - ### Constructor Detail

    - #### public TokenMgrError()

      No arg constructor.

    - #### public TokenMgrError(java.lang.String message, int reason)

      Constructor with message and reason.

    - #### public TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)

      Full Constructor.

  - ### Method Detail

    - #### protected static java.lang.String LexicalError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar)

      Returns a detailed message for the Error when it is thrown by the token manager to indicate a lexical error. Parameters : EOFSeen : indicates if EOF caused the lexical error curLexState : lexical state in which this error occurred errorLine : line number when the error occurred errorColumn : column number when the error occurred errorAfter : prefix that was seen before this error occurred curchar : the offending character Note: You can customize the lexical error message by modifying this method.

    - #### protected static final java.lang.String addEscapes(java.lang.String str)

      Replaces unprintable characters by their escaped (or unicode escaped) equivalents in the given string

    - #### @java.lang.Override public java.lang.String getMessage()

      You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like :

      "Internal Error : Please file a bug report .... "

      from this method for such cases in the release version of your parser.